Part Box: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
(2 intermediate revisions by one other user not shown)
Line 26: Line 26:


==Notes== <!--T:30-->
==Notes== <!--T:30-->
* {{VersionPlus|0.14}} a [[Part Box]] is referred to in the GUI elements as a '''Cube''' and the default label is "Cube".
* {{VersionPlus|0.14}} a [[Part_Box|Part Box]] is referred to in the GUI elements as a '''Cube''' and the default label is "Cube".


==Usage== <!--T:21-->
==Usage== <!--T:21-->
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part Workbench]]
# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
# Invoke the command several ways:
# Invoke the command several ways:
#* Press the {{KEY|[[Image:Part Box.svg|24px]]}} button in the toolbar.
#* Press the {{Button|[[Image:Part Box.svg|16px]]}} button in the toolbar.
#* Select the {{MenuCommand|Part → Primitives → Cube}} from the menu bar.
#* Select the {{MenuCommand|Part → Primitives → Cube}} from the menu bar.


==Options== <!--T:22-->
==Options== <!--T:22-->
* Via the [[Property_editor | Property Editor]]:
* Via the [[Property_editor|Property Editor]]:
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement|Placement]]. The reference point is the left front lower corner of the box.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Properties== <!--T:23-->
==Properties== <!--T:23-->
{{Properties_Title|Base}}
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement|Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


Line 57: Line 57:


==Scripting== <!--T:26-->
==Scripting== <!--T:26-->
The Box command can by used in [[macros]] and from the python console using the following function:
The Box command can by used in [[Macros|macros]] and from the python console using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=

Revision as of 17:36, 20 January 2021

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

Notes

  • version 0.14 and above a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".

Usage

  1. Switch to the Part Workbench
  2. Invoke the command several ways:
    • Press the button in the toolbar.
    • Select the Part → Primitives → Cube from the menu bar.

Options

  • Via the Property Editor:
    • Length: Set the length distance for your Box object (default is 10 mm).
    • Width: Set the width distance for your Box object (default is 10 mm).
    • Height: Set the height distance for your Box object (default is 10 mm).
    • Placement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • Label: The Label is the name given to the operation. This name can be changed at your convenience.

Properties

Base

  • DataPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • DataLabel: Label given to the Box object. Change to suit your needs.

Box

  • DataLength: The length parameter is the Box's dimension in the x-direction.
  • DataWidth: The width parameter is the Box's dimension in the y-direction.
  • DataHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))